PostgreSQL Tcl Interface Documentation
Prev | Fast Backward |  | Fast Forward | Next

# pg_dbinfo

## Name

pg_dbinfo -- returns a list of current open connection/result handles

## Synopsis

    pg_dbinfo connections|results ?conn?

## Description

`pg_dbinfo` returns a list of connection\result handles that are currently open. The first argument is either connections or results. If the first argument is results, then a second argument needs to be present, specifyin the connection.

## Arguments

connections|results

  Either specify connections if you want the connection handles, or results if you want the result handles.

conn

  The handle of the connection, if results if specified for the first argument.

## Return Value

A Tcl list of connection handle names

Prev | Home | Next
pg_connect | Up | pg_disconnect